<?php
namespace TraknPay\Tnp\Model;


class Environment implements \Magento\Framework\Option\ArrayInterface
{
    const ENVIRONMENT_PRODUCTION    = 'live';
    const ENVIRONMENT_SANDBOX       = 'test';

    /**
     * Possible environment types
     * 
     * @return array
     */
    public function toOptionArray()
    {
        return [
            [
                'value' => self::ENVIRONMENT_SANDBOX,
                'label' => 'TEST',
            ],
            [
                'value' => self::ENVIRONMENT_PRODUCTION,
                'label' => 'LIVE'
            ]
        ];
    }
}
